#
# spec file for package slip (Version 2001.5.23)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         slip
Copyright:    1988-1993 MicroWalt Corporation, 1991-1992 Ian Lance Taylor, 1990 The Regents of the University of California
Group:        Applications/Communications
Autoreqprov:  on
Version:      2001.5.23
Release:      78
Summary:      Dial out/in programs
Source: sliplogin-2.1.1.tar.gz
Source1: dip-3.3.7p.tar.gz
Patch: sliplogin-2.1.1.dif
Patch1: dip-3.3.7p.dif

%description
This package include the two dial out/in programs dip and sliplogin.  Users who
want to use dip, have to be in group "dialout".  This is also
necessary for "diplogins".

Authors:
--------
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
    Sven Goldt <goldt@peagsus.in-berlin.de>

SuSE series: n

%prep
%setup -n sliplogin-2.1.1 -b 1
%patch
cd ../dip-3.3.7p
%patch -P 1

%build
if [ -f /usr/lib/libnsl.so ] ; then
	export LDFLAGS="-s -lnsl"
else
	export LDFLAGS="-s"
fi
make -f Makefile.Linux compile LDFLAGS="$LDFLAGS"
cd ../dip-3.3.7p
make -f Makefile.Linux compile

%install
make -f Makefile.Linux install doc=%{_defaultdocdir}/sliplogin
cd ../dip-3.3.7p
make -f Makefile.Linux install doc=%{_defaultdocdir}/dip

%files
%dir /etc/slip
%dir %{_defaultdocdir}/dip
%dir %{_defaultdocdir}/sliplogin
%config /etc/slip/slip.login
%config /etc/slip/slip.logout
%doc %{_defaultdocdir}/dip/PPP.README
%doc %{_defaultdocdir}/dip/README
%doc %{_defaultdocdir}/dip/README-337o
%doc %{_defaultdocdir}/dip/README-337p
%doc %{_defaultdocdir}/dip/README.NEWBIE2
%doc %{_defaultdocdir}/dip/README.NEWBIE3
%doc %{_defaultdocdir}/dip/README.NEWBIE4
%doc %{_defaultdocdir}/dip/README.NEWBIE5
%doc %{_defaultdocdir}/dip/README.NEWBIE6
%doc %{_defaultdocdir}/dip/README.NEWBIES
%doc %{_defaultdocdir}/dip/README.SKEY
%doc %{_defaultdocdir}/dip/README.SecureId
%doc %{_defaultdocdir}/dip/README.net
%doc %{_defaultdocdir}/dip/README.setup
%doc %{_defaultdocdir}/dip/advantis.dip
%doc %{_defaultdocdir}/dip/annex.dip
%doc %{_defaultdocdir}/dip/blair.dip
%doc %{_defaultdocdir}/dip/diphosts
%doc %{_defaultdocdir}/dip/dyna1.dip
%doc %{_defaultdocdir}/dip/dynamic-ip.dip
%doc %{_defaultdocdir}/dip/dynamic-ip.sh
%doc %{_defaultdocdir}/dip/ign.dip
%doc %{_defaultdocdir}/dip/netblaz.dip
%doc %{_defaultdocdir}/dip/netcom.scripts
%doc %{_defaultdocdir}/dip/ppp.dip
%doc %{_defaultdocdir}/dip/sample-paul.dip
%doc %{_defaultdocdir}/dip/sample.dip
%doc %{_defaultdocdir}/dip/secureip.dip
%doc %{_defaultdocdir}/dip/uri-annex.dip
%doc %{_defaultdocdir}/sliplogin/README
%doc %{_defaultdocdir}/sliplogin/README.access
%doc %{_defaultdocdir}/sliplogin/README.dynamic
%doc %{_defaultdocdir}/sliplogin/README.esliplogin
%doc %{_defaultdocdir}/sliplogin/README.nis
%doc %{_defaultdocdir}/sliplogin/TODO
%doc %{_defaultdocdir}/sliplogin/TROUBLE_SHOOTING
%doc %{_defaultdocdir}/sliplogin/access.conf.later
%doc %{_defaultdocdir}/sliplogin/lines.conf
%doc %{_defaultdocdir}/sliplogin/linetest.conf
%doc %{_defaultdocdir}/sliplogin/passwd.example
%doc %{_defaultdocdir}/sliplogin/slip.deny
%doc %{_defaultdocdir}/sliplogin/slip.deny.ping
%doc %{_defaultdocdir}/sliplogin/slip.hosts
%doc %{_defaultdocdir}/sliplogin/slip.login
%doc %{_defaultdocdir}/sliplogin/slip.login.Snormal
%doc %{_defaultdocdir}/sliplogin/slip.passwd
%doc %{_defaultdocdir}/sliplogin/slip.route
%doc %{_defaultdocdir}/sliplogin/slip.tty
%doc %{_defaultdocdir}/sliplogin/sliplogin.lsm
%doc %{_defaultdocdir}/sliplogin/todo.conf
%doc /usr/share/man/man8/dip.8.gz
%doc /usr/share/man/man8/sliplogin.8.gz
/usr/sbin/dip
/usr/sbin/diplogin
/usr/sbin/sliplogin

%changelog -n slip
* Wed May 23 2001 - ro@suse.de
- fixed to build on ia64
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - ro@suse.de
- fixed to compile (dip/attach: always support IP_ACCT)
* Mon Nov 13 2000 - ro@suse.de
- use net_device_stats instead of deprecated enet_statistics
* Mon Jun 19 2000 - nadvornik@suse.cz
- fixed problem with alarm
* Thu Jun 08 2000 - ro@suse.de
- doc relocation
* Sat Feb 12 2000 - kukuk@suse.de
- dip: Fix for PPC and SPARC
- Move /usr/man -> /usr/share/man
- Add sliplogin.8
* Mon Jan 31 2000 - schwab@suse.de
- dip: fix invalid asm statements.
* Wed Jan 05 2000 - uli@suse.de
- dip: fixed command.c for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Nov 18 1998 - ro@suse.de
- dip: tty.c don't include linux/fs.h for GLIBC
* Mon Nov 02 1998 - ro@suse.de
- update to sliplogin 2.1.1
- use correct include files for GLIBC
* Mon Oct 27 1997 - ro@suse.de
- fixed specfile
* Wed Apr 30 1997 - florian@suse.de
- update to dip version 3.3.7p
- dip is only executable by group "dialout"
